# Uses of Class
org.eclipse.jface.text.Position

Packages that use Position
Package
Description
org.eclipse.compare.contentmergeviewer
Support for compare and merge viewers which show the content side-by-side.
org.eclipse.compare.internal
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.codemining
org.eclipse.jface.text.formatter
Provides a content formatter add-on for an `ITextViewer`.
org.eclipse.jface.text.link
Application programming interfaces for interaction with the Eclipse text editor's linked position support.
org.eclipse.jface.text.projection
This package provides an implementation of projection documents.
org.eclipse.jface.text.rules
Provides a framework for rule based text scanning and uses the framework to provide rule-driven default implementations of `IPresentationDamager`, `IPresentationRepairer` and `IDocumentPartitioner`.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.jface.text.source.inlined
org.eclipse.jface.text.source.projection
This package provides the UI part for projection documents of which the most important part is the projection viewer.
org.eclipse.jface.text.templates
Application programming interfaces for interaction with the Eclipse text template support.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of Position in org.eclipse.compare.contentmergeviewer

Methods in org.eclipse.compare.contentmergeviewer that return Position
Modifier and Type
Method
Description
`Position`
IDocumentRange.`getRange()`
Returns a position that specifies a subrange in the underlying document, or `null` if this document range spans the whole underlying document.

## Uses of Position in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal that return Position
Modifier and Type
Method
Description
`Position`
MergeSourceViewer.`getRegion()`
Methods in org.eclipse.compare.internal with parameters of type Position
Modifier and Type
Method
Description
`Point`
MergeSourceViewer.`getLineRange(Position p, Point region)`
`void`
MergeSourceViewer.`setLineBackground(Position position, Color c)`
`void`
MergeSourceViewer.`setRegion(Position region)`
`void`
MergeSourceViewer.`setSelection(Position position)`

## Uses of Position in org.eclipse.compare.structuremergeviewer

Methods in org.eclipse.compare.structuremergeviewer that return Position
Modifier and Type
Method
Description
`Position`
DocumentRangeNode.`getAppendPosition()`
Returns the position that has been set with `setAppendPosition`.
`Position`
DocumentRangeNode.`getRange()`

## Uses of Position in org.eclipse.jface.text

Subclasses of Position in org.eclipse.jface.text
Modifier and Type
Class
Description
`class`
`TypedPosition`
Convenience class for positions that have a type, similar to `ITypedRegion`.
Fields in org.eclipse.jface.text declared as Position
Modifier and Type
Field
Description
`protected Position`
TextViewer.`fMarkPosition`
The mark position.
`protected Position`
DefaultPositionUpdater.`fOriginalPosition`
Caches the original state of the investigated position
`protected Position`
DefaultPositionUpdater.`fPosition`
Caches the currently investigated position
Methods in org.eclipse.jface.text that return Position
Modifier and Type
Method
Description
`Position[]`
AbstractDocument.`getPositions(String category)`
`Position[]`
AbstractDocument.`getPositions(String category, int offset, int length, boolean canStartBefore, boolean canEndAfter)`
Returns all positions of the given category that are inside the given region.
`Position[]`
IDocument.`getPositions(String category)`
Returns all positions of the given position category.
Methods in org.eclipse.jface.text that return types with arguments of type Position
Modifier and Type
Method
Description
`protected Map<String,List<Position>>`
AbstractDocument.`getDocumentManagedPositions()`
Returns all positions managed by the document grouped by category.
Methods in org.eclipse.jface.text with parameters of type Position
Modifier and Type
Method
Description
`void`
AbstractDocument.`addPosition(String category, Position position)`
`void`
AbstractDocument.`addPosition(Position position)`
`void`
IDocument.`addPosition(String category, Position position)`
Adds the position to the specified position category of the document.
`void`
IDocument.`addPosition(Position position)`
Adds the position to the document's default position category.
`void`
IPaintPositionManager.`managePosition(Position position)`
Starts managing the given position until `unmanagePosition` is called.
`protected IRegion`
TextViewer.`modelRange2WidgetRange(Position modelPosition)`
Same as `TextViewer.modelRange2WidgetRange(IRegion)` just for a `Position`.
`void`
AbstractDocument.`removePosition(String category, Position position)`
`void`
AbstractDocument.`removePosition(Position position)`
`void`
IDocument.`removePosition(String category, Position position)`
Removes the given position from the specified position category.
`void`
IDocument.`removePosition(Position position)`
Removes the given position from the document's default position category.
`void`
IPaintPositionManager.`unmanagePosition(Position position)`
Stops managing the given position.
Method parameters in org.eclipse.jface.text with type arguments of type Position
Modifier and Type
Method
Description
`protected int`
AbstractDocument.`computeIndexInPositionList(List<? extends Position> positions, int offset)`
Deprecated.
As of 3.4, replaced by `AbstractDocument.computeIndexInPositionList(List, int, boolean)`
`protected int`
AbstractDocument.`computeIndexInPositionList(List<? extends Position> positions, int offset, boolean orderedByOffset)`
Computes the index in the list of positions at which a position with the given position would be inserted.

## Uses of Position in org.eclipse.jface.text.codemining

Methods in org.eclipse.jface.text.codemining that return Position
Modifier and Type
Method
Description
`Position`
AbstractCodeMining.`getPosition()`
`Position`
ICodeMining.`getPosition()`
Returns the line position where code mining must be displayed in the line spacing area.
Constructors in org.eclipse.jface.text.codemining with parameters of type Position
Modifier
Constructor
Description
`protected`
`AbstractCodeMining(Position position, ICodeMiningProvider provider, Consumer<MouseEvent> action)`
CodeMining constructor to locate the code mining in a given position.
``
`LineContentCodeMining(Position position, boolean afterPosition, ICodeMiningProvider provider)`
CodeMining constructor to locate the code mining in a given position.
``
`LineContentCodeMining(Position position, boolean afterPosition, ICodeMiningProvider provider, Consumer<MouseEvent> action)`
CodeMining constructor to locate the code mining in a given position.
``
`LineContentCodeMining(Position position, ICodeMiningProvider provider)`
CodeMining constructor to locate the code mining in a given position.
``
`LineContentCodeMining(Position position, ICodeMiningProvider provider, Consumer<MouseEvent> action)`
CodeMining constructor to locate the code mining in a given position.
``
`LineHeaderCodeMining(Position position, ICodeMiningProvider provider, Consumer<MouseEvent> action)`
CodeMining constructor to locate the code mining before the given line at the supplied position.

## Uses of Position in org.eclipse.jface.text.formatter

Methods in org.eclipse.jface.text.formatter with parameters of type Position
Modifier and Type
Method
Description
`protected boolean`
ContentFormatter.`positionAboutToBeAdded(IDocument document, String category, Position position)`
The given position is about to be added to the given position category of the given document.

## Uses of Position in org.eclipse.jface.text.link

Subclasses of Position in org.eclipse.jface.text.link
Modifier and Type
Class
Description
`class`
`LinkedPosition`
A `Position` on a document that knows which document it is registered with and has a sequence number for tab stops.
`class`
`ProposalPosition`
LinkedPosition with added completion proposals.
Methods in org.eclipse.jface.text.link with parameters of type Position
Modifier and Type
Method
Description
`LinkedPositionGroup`
LinkedModeModel.`getGroupForPosition(Position position)`
Returns the linked position group that contains `position`, or `null` if `position` is not contained in any group within this model.

## Uses of Position in org.eclipse.jface.text.projection

Subclasses of Position in org.eclipse.jface.text.projection
Modifier and Type
Class
Description
`class`
`Fragment`
Internal class.
`class`
`Segment`
Internal class.
Methods in org.eclipse.jface.text.projection that return Position
Modifier and Type
Method
Description
`protected final Position[]`
ProjectionDocument.`getFragments()`
Returns the fragments of the master documents.
`Position`
ChildDocument.`getParentDocumentRange()`
Returns the parent document range of this child document.
`protected final Position[]`
ProjectionDocument.`getSegments()`
Returns the segments of this projection document.

## Uses of Position in org.eclipse.jface.text.rules

Methods in org.eclipse.jface.text.rules that return Position
Modifier and Type
Method
Description
`protected final Position[]`
FastPartitioner.`getPositions()`
Returns the partitioners positions.

## Uses of Position in org.eclipse.jface.text.source

Fields in org.eclipse.jface.text.source with type parameters of type Position
Modifier and Type
Field
Description
`protected Map<Annotation,Position>`
AnnotationModel.`fAnnotations`
Deprecated.
since 3.0 use `getAnnotationMap` instead
`protected final Stack<Position>`
SourceViewer.`fSelections`
Stack of saved selections in the underlying document
Methods in org.eclipse.jface.text.source that return Position
Modifier and Type
Method
Description
`Position`
AnnotationModel.`getPosition(Annotation annotation)`
`Position`
IAnnotationModel.`getPosition(Annotation annotation)`
Returns the position associated with the given annotation.
`Position`
AnnotationModelEvent.`getPositionOfRemovedAnnotation(Annotation annotation)`
Returns the position of the removed annotation at that point in time when the annotation has been removed.
Methods in org.eclipse.jface.text.source that return types with arguments of type Position
Modifier and Type
Method
Description
`Set<Map.Entry<Annotation,Position>>`
IAnnotationMap.`entrySet()`
The returned set is not synchronized on this annotation map's lock object.
`Collection<Position>`
IAnnotationMap.`values()`
The returned collection is not synchronized on this annotation map's lock object.
`Iterator<Position>`
IAnnotationMap.`valuesIterator()`
Returns an iterator for a copy of this annotation map's values.
Methods in org.eclipse.jface.text.source with parameters of type Position
Modifier and Type
Method
Description
`void`
AnnotationModel.`addAnnotation(Annotation annotation, Position position)`
`protected void`
AnnotationModel.`addAnnotation(Annotation annotation, Position position, boolean fireModelChanged)`
Adds the given annotation to this model.
`void`
IAnnotationModel.`addAnnotation(Annotation annotation, Position position)`
Adds a annotation to this annotation model.
`protected void`
AnnotationModel.`addPosition(IDocument document, Position position)`
Adds the given position to the default position category of the given document.
`void`
AnnotationModelEvent.`annotationRemoved(Annotation annotation, Position position)`
Adds the given annotation to the set of annotations that are reported as being removed from the model.
`void`
AnnotationModel.`modifyAnnotationPosition(Annotation annotation, Position position)`
`protected void`
AnnotationModel.`modifyAnnotationPosition(Annotation annotation, Position position, boolean fireModelChanged)`
Modifies the associated position of the given annotation to the given position.
`void`
IAnnotationModelExtension.`modifyAnnotationPosition(Annotation annotation, Position position)`
Modifies the position associated with the given annotation to equal the given position.
`protected void`
AnnotationModel.`removePosition(IDocument document, Position position)`
Removes the given position from the default position category of the given document.
Method parameters in org.eclipse.jface.text.source with type arguments of type Position
Modifier and Type
Method
Description
`void`
AnnotationModel.`replaceAnnotations(Annotation[] annotationsToRemove, Map<? extends Annotation,? extends Position> annotationsToAdd)`
`protected void`
AnnotationModel.`replaceAnnotations(Annotation[] annotationsToRemove, Map<? extends Annotation,? extends Position> annotationsToAdd, boolean fireModelChanged)`
Replaces the given annotations in this model and if advised fires a model change event.
`void`
IAnnotationModelExtension.`replaceAnnotations(Annotation[] annotationsToRemove, Map<? extends Annotation,? extends Position> annotationsToAdd)`
Adds and removes annotations to/from this annotation model in a single step.

## Uses of Position in org.eclipse.jface.text.source.inlined

Methods in org.eclipse.jface.text.source.inlined that return Position
Modifier and Type
Method
Description
`Position`
AbstractInlinedAnnotation.`getPosition()`
Returns the position where the annotation must be drawn.
`static Position`
Positions.`of(int lineIndex, IDocument document, boolean leadingSpaces)`
Returns the line position by taking care or not of of leading spaces.
Methods in org.eclipse.jface.text.source.inlined with parameters of type Position
Modifier and Type
Method
Description
`<T extends AbstractInlinedAnnotation>
T`
InlinedAnnotationSupport.`findExistingAnnotation(Position pos)`
Returns the existing codemining annotation with the given position information and null otherwise.
Constructors in org.eclipse.jface.text.source.inlined with parameters of type Position
Modifier
Constructor
Description
`protected`
`AbstractInlinedAnnotation(Position position, ISourceViewer viewer)`
Inlined annotation constructor.
`protected`
`AbstractInlinedAnnotation(Position position, ISourceViewer viewer, Consumer<MouseEvent> onMouseHover, Consumer<MouseEvent> onMouseOut, Consumer<MouseEvent> onMouseMove)`
Inlined annotation constructor.
``
`LineContentAnnotation(Position position, ISourceViewer viewer)`
Line content annotation constructor.
``
`LineContentAnnotation(Position position, ISourceViewer viewer, Consumer<MouseEvent> onMouseHover, Consumer<MouseEvent> onMouseOut, Consumer<MouseEvent> onMouseMove)`
Line content annotation constructor.
``
`LineHeaderAnnotation(Position position, ISourceViewer viewer)`
Line header annotation constructor.
``
`LineHeaderAnnotation(Position position, ISourceViewer viewer, Consumer<MouseEvent> onMouseHover, Consumer<MouseEvent> onMouseOut, Consumer<MouseEvent> onMouseMove)`
Line header annotation constructor.

## Uses of Position in org.eclipse.jface.text.source.projection

Methods in org.eclipse.jface.text.source.projection that return Position
Modifier and Type
Method
Description
`Position`
ProjectionViewer.`computeCollapsedRegionAnchor(Position position)`
Computes the collapsed region anchor for the given position.
Methods in org.eclipse.jface.text.source.projection with parameters of type Position
Modifier and Type
Method
Description
`IRegion`
ProjectionViewer.`computeCollapsedRegion(Position position)`
Computes the region that must be collapsed when the given position is the position of an expanded projection annotation.
`Position`
ProjectionViewer.`computeCollapsedRegionAnchor(Position position)`
Computes the collapsed region anchor for the given position.
Method parameters in org.eclipse.jface.text.source.projection with type arguments of type Position
Modifier and Type
Method
Description
`void`
ProjectionAnnotationModel.`modifyAnnotations(Annotation[] deletions, Map<? extends Annotation,? extends Position> additions, Annotation[] modifications)`
Modifies the annotation model.

## Uses of Position in org.eclipse.jface.text.templates

Constructors in org.eclipse.jface.text.templates with parameters of type Position
Modifier
Constructor
Description
``
`DocumentTemplateContext(TemplateContextType type, IDocument document, Position position)`
Creates a document template context.

## Uses of Position in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return Position
Modifier and Type
Method
Description
`protected Position`
AbstractMarkerAnnotationModel.`createPositionFromMarker(IMarker marker)`
Creates and returns the character position of the given marker based on its attributes.
`Position`
AbstractMarkerAnnotationModel.`getMarkerPosition(IMarker marker)`
Returns the position known to this annotation model for the given marker.
Methods in org.eclipse.ui.texteditor with parameters of type Position
Modifier and Type
Method
Description
`protected Annotation`
AbstractTextEditor.`findAnnotation(int offset, int length, boolean forward, Position annotationPosition)`
Returns the annotation closest to the given range respecting the given direction.
`protected boolean`
MarkerRulerAction.`includesRulerLine(Position position, IDocument document)`
Checks whether a position includes the ruler's line of activity.
`protected final boolean`
SelectMarkerRulerAction.`includesRulerLine(Position position, IDocument document)`
Checks whether a position includes the ruler's line of activity.
`boolean`
AbstractMarkerAnnotationModel.`updateMarker(IMarker marker, IDocument document, Position position)`
Deprecated.
use `updateMarker(IDocument, IMarker, Position)` instead.
`boolean`
AbstractMarkerAnnotationModel.`updateMarker(IDocument document, IMarker marker, Position position)`
Updates the given marker according to the given position in the given document.
`boolean`
BasicMarkerUpdater.`updateMarker(IMarker marker, IDocument document, Position position)`
`boolean`
IMarkerUpdater.`updateMarker(IMarker marker, IDocument document, Position position)`
Updates the given marker according to the position of the given document.